请教用make安装软件的问题

重复贴和参考价值不大的帖子,版主维护
回复
vimcanna
帖子: 3
注册时间: 2007-10-27 15:26
送出感谢: 0
接收感谢: 0

请教用make安装软件的问题

#1

帖子 vimcanna » 2007-11-13 10:38

小弟尝试过多个版本的linux,包括Fedora、Slax、Redflag、Ubuntu,一直想通过源码安装软件。在我能找到的各种资料中(包括tar包中的Readme),都是很简单的说:
./configure
make
make install
可是我没有一次成功过的,总是在make这一步出各种各样的错,在Fedora上编辑内核时,居然在这一步中显示100多行的代码错误!上个周末安装Mplayer时,也是卡在make上。到底这个命令该如何使用啊?
顺便说一句,用sudo apt-get mplayer安装时,总是提示没有这个文件。我已经重写了source.list,而且sudo apt-get update也成功了。
后来用deb包安装,出的问题就更无奈了,MPlayer的包要求先安装skins包,可是skins包又要求先安装MPlayer包!他两个成了一个死循环。
望各位师兄帮帮小弟。哪怕是骂我几句,只要有助于解决问题,毕竟不吃点苦是学不了Linux的。
头像
goldfox_79
帖子: 1937
注册时间: 2005-10-16 8:26
来自: 地球
送出感谢: 0
接收感谢: 1 次
联系:

#2

帖子 goldfox_79 » 2007-11-13 10:54

你先
apt-cache search mplayer
看你的源里面有没有这个包

然后再
sudo apt-get install mplayer
头像
ChenJunsheng
帖子: 52
注册时间: 2006-08-19 8:27
送出感谢: 0
接收感谢: 0

#3

帖子 ChenJunsheng » 2007-11-13 11:09

是啊,如果你非要用命令行安装也要看看源里面有没有这个东东。
最简单的就是到新立德里面搜一下有没有mplayer。
另外,install命令是 sudo apt-get install mplayer

./configure
make
make install
这种安装方式是比较早的方法,要处理好所有软件依赖关系才能正常安装。
另外,也可以把安装出错的内容贴出来看看呀。
vimcanna
帖子: 3
注册时间: 2007-10-27 15:26
送出感谢: 0
接收感谢: 0

#4

帖子 vimcanna » 2007-11-14 19:38

ChenJunsheng 写了:是啊,如果你非要用命令行安装也要看看源里面有没有这个东东。
最简单的就是到新立德里面搜一下有没有mplayer。
另外,install命令是 sudo apt-get install mplayer

./configure
make
make install
这种安装方式是比较早的方法,要处理好所有软件依赖关系才能正常安装。
另外,也可以把安装出错的内容贴出来看看呀。
多谢各位高手的解答,make出现的错误如下:
vim@vim-desktop:~/MPlayer1.0rc2$ make
Makefile:7: config.mak: No such file or directory
############################################################
####### Please run ./configure again - it's changed! #######
############################################################
make: Nothing to be done for `all'.

用sudo apt出现的问题
vim@vim-desktop:~$ sudo apt-get install mplayer
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
Reading state information... 完成
E: 无法找到软件包 mplayer

我再添加一些别的源试试看。
cosquidz
帖子: 507
注册时间: 2006-06-19 12:17
来自: 香山县
送出感谢: 0
接收感谢: 0

#5

帖子 cosquidz » 2007-11-14 20:06

deb http://ubuntu.cn99.com/ubuntu/ gutsy main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-security main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-updates main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-proposed main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu/ gutsy-backports main restricted universe multiverse
deb http://ubuntu.cn99.com/ubuntu-cn/ gutsy main restricted universe multiverse

相应的更换 gutsy 就可以了

都安装好编译源码相关的包没有呢?
少说话,多做事,切记!!

[测试]解决 Sciom 输入失效的暂时方案

下面都空荡荡了。呵呵
wangqi0021
帖子: 156
注册时间: 2007-09-05 1:09
来自: beijing
送出感谢: 0
接收感谢: 0

#6

帖子 wangqi0021 » 2007-11-14 20:31

没有关系。 貌似出现了rpm的数据库问题。强制安装应该就可以了吧。 强制安装的命令不知道,也不知道有没有 你自己man一下吧 呵呵
vimcanna
帖子: 3
注册时间: 2007-10-27 15:26
送出感谢: 0
接收感谢: 0

#7

帖子 vimcanna » 2007-11-17 20:24

已经解决了,添加了新的source,用apt-get就解决了。
多谢各位。
回复

回到 “归档贴”